Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class XMLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.apache.xerces.validators.datatype.XMLException

Direct Known Subclasses:
  InvalidDatatypeFacetException, InvalidDatatypeValueException

public class XMLException
extends java.lang.Exception

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: XMLException.java,v 1.3 2000/06/07 21:41:53 ericye Exp $
Author:
  Jeffrey Rodriguez
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`XMLException()`
`XMLException(java.lang.Exception exception)`
`XMLException(java.lang.String message)`
`XMLException(java.lang.String message, java.lang.Exception exception)`

Method Summary
`java.lang.Exception` | `getException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLException

    public XMLException()

### XMLException

    public XMLException(java.lang.String message)

### XMLException

    public XMLException(java.lang.Exception exception)

### XMLException

    public XMLException(java.lang.String message,
                        java.lang.Exception exception)

Method Detail

### getException

    public java.lang.Exception getException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD